> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/data-pipeline/inputs/dummy.md).

# Dummy

{% hint style="info" %}
**Supported event types:** `logs`
{% endhint %}

The *Dummy* input plugin generates dummy events. Use this plugin for testing, debugging, benchmarking and getting started with Fluent Bit.

## Configuration parameters

The plugin supports the following configuration parameters:

| Key                 | Description                                                                                                                              | Default               |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- | --------------------- |
| `copies`            | Number of messages to generate each time messages are generated.                                                                         | `1`                   |
| `dummy`             | Dummy JSON record.                                                                                                                       | `{"message":"dummy"}` |
| `fixed_timestamp`   | If enabled, use a fixed timestamp. This allows the message to be pre-generated once.                                                     | `false`               |
| `flush_on_startup`  | If set to `true`, the first dummy event is generated at startup.                                                                         | `false`               |
| `interval_nsec`     | Set time interval, in nanoseconds, at which every message is generated. If set, `rate` configuration is ignored.                         | `0`                   |
| `interval_sec`      | Set time interval, in seconds, at which every message is generated. If set, `rate` configuration is ignored.                             | `0`                   |
| `metadata`          | Dummy JSON metadata.                                                                                                                     | `{}`                  |
| `rate`              | Rate at which messages are generated, expressed in how many times per second.                                                            | `1`                   |
| `samples`           | Limit the number of events generated. For example, if `samples=3`, the plugin generates only three events and stops. `0` means no limit. | `0`                   |
| `start_time_nsec`   | Set a dummy base timestamp, in nanoseconds. If set to `-1`, the current time is used.                                                    | `-1`                  |
| `start_time_sec`    | Set a dummy base timestamp, in seconds. If set to `-1`, the current time is used.                                                        | `-1`                  |
| `test_hang_on_exit` | Test-only option that simulates a hang during shutdown for hot reload watchdog testing. Don't use this in production configurations.     | `false`               |
| `threaded`          | Indicates whether to run this input in its own [thread](/manual/administration/multithreading.md#inputs).                                | `false`               |

## Get started

You can run the plugin from the command line or through the configuration file:

### Command line

Run the plugin from the command line using the following command:

```shell
fluent-bit -i dummy -o stdout
```

which returns results like the following:

```
...
[0] dummy.0: [[1686451466.659962491, {}], {"message"=>"dummy"}]
[0] dummy.0: [[1686451467.659679509, {}], {"message"=>"dummy"}]
...
```

### Configuration file

In your main configuration file append the following:

{% tabs %}
{% tab title="fluent-bit.yaml" %}

```yaml
pipeline:
  inputs:
    - name: dummy
      dummy: '{"message": "custom dummy"}'

  outputs:
    - name: stdout
      match: '*'
```

{% endtab %}

{% tab title="fluent-bit.conf" %}

```
[INPUT]
  Name   dummy
  Dummy  {"message": "custom dummy"}

[OUTPUT]
  Name   stdout
  Match  *
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluentbit.io/manual/data-pipeline/inputs/dummy.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
